import React from "react";

const Instagram = ({ width, height, fill }) => {
  return (
    <>
      <svg
        width={width}
        height={height}
        viewBox="0 0 86 86"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          fillRule="evenodd"
          clipRule="evenodd"
          d="M25.291 0.79525H61.0212C74.6327 0.79525 85.692 11.8545 85.692 25.466V61.196C85.692 74.8215 74.6465 85.867 61.0212 85.867H25.291C11.6797 85.867 0.620239 74.8075 0.620239 61.196V25.466C0.620239 11.8407 11.6657 0.79525 25.291 0.79525ZM24.4405 9.3025C15.9832 9.3025 9.12749 16.1582 9.12749 24.6152V62.0468C9.12749 70.5115 15.9757 77.3597 24.4405 77.3597H61.872C70.329 77.3597 77.1847 70.504 77.1847 62.0468V24.6152C77.1847 16.1507 70.3365 9.3025 61.872 9.3025H24.4405ZM65.4875 15.6828C68.424 15.6828 70.8045 18.0632 70.8045 20.9997C70.8045 23.9362 68.424 26.3167 65.4875 26.3167C62.551 26.3167 60.1705 23.9362 60.1705 20.9997C60.1705 18.0632 62.551 15.6828 65.4875 15.6828ZM43.1562 22.0633C54.902 22.0633 64.424 31.585 64.424 43.331C64.424 55.077 54.902 64.599 43.1562 64.599C31.4102 64.599 21.8882 55.077 21.8882 43.331C21.8882 31.585 31.4102 22.0633 43.1562 22.0633ZM43.1562 30.5703C36.1085 30.5703 30.3955 36.2835 30.3955 43.331C30.3955 50.3785 36.1085 56.0918 43.1562 56.0918C50.2037 56.0918 55.917 50.3785 55.917 43.331C55.917 36.2835 50.2037 30.5703 43.1562 30.5703Z"
          fill={fill}
        />
      </svg>
    </>
  );
};

Instagram.defaultProps = {
  width: "86",
  height: "86",
  fill: "#62CC6D",
};

export default Instagram;
